﻿using Hotline.Share.Enums.Snapshot;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 随手拍用户微信小程序登录信息
/// </summary>
[Description("小程序账号信息")]
public class CitizenAccount : CreationSoftDeleteEntity
{
    /// <summary>
    /// 市民id
    /// </summary>
    [SugarColumn(ColumnDescription = "市民id")]
    public string? CitizenId { get; set; }

    /// <summary>
    /// 用户类型
    /// </summary>
    [SugarColumn(ColumnDescription = "用户类型")]
    public EReadPackUserType CitizenType { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [SugarColumn(ColumnDescription = "电话")]
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 微信Id
    /// </summary>
    [SugarColumn(ColumnDescription = "微信Id")]
    public string WXOpenId { get; set; }

    /// <summary>
    /// 历史已经领取金额总和
    /// </summary>
    [SugarColumn(ColumnDescription = "历史已经领取金额总和")]
    public decimal TotalAmount { get; set; }

    /// <summary>
    /// 用户头像Url
    /// </summary>
    [SugarColumn(ColumnDescription = "用户头像Url")]
    public string HeadImgUrl { get; set; }
}
