﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 行业
/// </summary>
[Description("行业")]
public class Industry : CreationSoftDeleteEntity
{
    /// <summary>
    /// 行业代码
    /// 根行业Code长度3位, 每一级增加3位长度
    /// </summary>
    [SugarColumn(ColumnDescription = "Code")]
    public string Code { get; set; }

    /// <summary>
    /// 行业名称
    /// </summary>
    [SugarColumn(ColumnDescription = "行业名称")]
    public string Name { get; set; }

    /// <summary>
    /// 审批部门Id
    /// </summary>
    [SugarColumn(ColumnDescription ="审批部门Id")]
    public string? ApproveOrgId { get; set; }

    /// <summary>
    /// 审批部门名字
    /// </summary>
    [SugarColumn(ColumnDescription ="审批部门名字")]
    public string? ApproveOrgName { get; set; }

    /// <summary>
    /// 受理类型
    /// </summary>
    [SugarColumn(ColumnDescription ="受理类型")]
    public string AcceptType { get; set; }

    /// <summary>
    /// 受理类型代码
    /// </summary>
    [SugarColumn(ColumnDescription ="受理类型代码")]
    public string? AcceptTypeCode { get; set; }

    /// <summary>
    /// 市民发放红包金额(单位:分)
    /// </summary>
    [SugarColumn(ColumnDescription = "市民发放红包金额(单位:分)")]
    public int CitizenReadPackAmount { get; set; }

    /// <summary>
    /// 网络员发放红包金额(单位:分)
    /// </summary>
    [SugarColumn(ColumnDescription = "网络员发放红包金额(单位:分)")]
    public int NetworkerReadPackAmount { get; set; }

    /// <summary>
    /// 是否启用
    /// </summary>
    [SugarColumn(ColumnDescription = "是否启用")]
    public bool IsEnable { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    [SugarColumn(ColumnDescription = "排序")]
    public int DisplayOrder { get; set; }
}
