﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 工单表扩展
/// </summary>
[Description("工单表扩展")]
public class OrderShapshot : CreationSoftDeleteEntity
{
    /// <summary>
    /// 关联工单编号
    /// <inheritdoc cref="Order"/>表的Id字段
    /// </summary>    
    [SugarColumn(ColumnDescription = "关联工单编号")]
    public string OrderId { get; set; }

    /// <summary>
    /// 行业Id
    /// <inheritdoc cref="Industry"/> 表的Id
    /// </summary>
    [SugarColumn(ColumnDescription = "行业Id")]
    public string IndustryId { get; set; }

    /// <summary>
    /// 社区Id
    /// <inheritdoc cref="CommunityInfo"/> 表的Id
    /// </summary>
    [SugarColumn(ColumnDescription = "社区Id")]
    public string CommunityId { get; set; }
}
